searchData={"items":[{"type":"module","title":"ECSx.Persistence.Ecto","doc":"","ref":"ECSx.Persistence.Ecto.html"},{"type":"function","title":"ECSx.Persistence.Ecto.repo/0","doc":"","ref":"ECSx.Persistence.Ecto.html#repo/0"},{"type":"module","title":"ECSx.Persistence.Ecto.Component","doc":"","ref":"ECSx.Persistence.Ecto.Component.html"},{"type":"module","title":"ECSx.Persistence.Ecto.Components","doc":"The Components context.","ref":"ECSx.Persistence.Ecto.Components.html"},{"type":"function","title":"ECSx.Persistence.Ecto.Components.change_component/2","doc":"Returns an `%Ecto.Changeset{}` for tracking component changes.","ref":"ECSx.Persistence.Ecto.Components.html#change_component/2"},{"type":"function","title":"Examples - ECSx.Persistence.Ecto.Components.change_component/2","doc":"iex> change_component(component)\n    %Ecto.Changeset{data: %Component{}}","ref":"ECSx.Persistence.Ecto.Components.html#change_component/2-examples"},{"type":"function","title":"ECSx.Persistence.Ecto.Components.create_component/1","doc":"Creates a component.","ref":"ECSx.Persistence.Ecto.Components.html#create_component/1"},{"type":"function","title":"Examples - ECSx.Persistence.Ecto.Components.create_component/1","doc":"iex> create_component(%{field: value})\n    {:ok, %Component{}}\n\n    iex> create_component(%{field: bad_value})\n    {:error, %Ecto.Changeset{}}","ref":"ECSx.Persistence.Ecto.Components.html#create_component/1-examples"},{"type":"function","title":"ECSx.Persistence.Ecto.Components.delete_component/1","doc":"Deletes a component.","ref":"ECSx.Persistence.Ecto.Components.html#delete_component/1"},{"type":"function","title":"Examples - ECSx.Persistence.Ecto.Components.delete_component/1","doc":"iex> delete_component(component)\n    {:ok, %Component{}}\n\n    iex> delete_component(component)\n    {:error, %Ecto.Changeset{}}","ref":"ECSx.Persistence.Ecto.Components.html#delete_component/1-examples"},{"type":"function","title":"ECSx.Persistence.Ecto.Components.get_component!/1","doc":"Gets a single component.\n\nRaises `Ecto.NoResultsError` if the Component does not exist.","ref":"ECSx.Persistence.Ecto.Components.html#get_component!/1"},{"type":"function","title":"Examples - ECSx.Persistence.Ecto.Components.get_component!/1","doc":"iex> get_component!(123)\n    %Component{}\n\n    iex> get_component!(456)\n    ** (Ecto.NoResultsError)","ref":"ECSx.Persistence.Ecto.Components.html#get_component!/1-examples"},{"type":"function","title":"ECSx.Persistence.Ecto.Components.list_components/0","doc":"Returns the list of components.","ref":"ECSx.Persistence.Ecto.Components.html#list_components/0"},{"type":"function","title":"Examples - ECSx.Persistence.Ecto.Components.list_components/0","doc":"iex> list_components()\n    [%Component{}, ...]","ref":"ECSx.Persistence.Ecto.Components.html#list_components/0-examples"},{"type":"function","title":"ECSx.Persistence.Ecto.Components.repo/0","doc":"","ref":"ECSx.Persistence.Ecto.Components.html#repo/0"},{"type":"function","title":"ECSx.Persistence.Ecto.Components.update_component/2","doc":"Updates a component.","ref":"ECSx.Persistence.Ecto.Components.html#update_component/2"},{"type":"function","title":"Examples - ECSx.Persistence.Ecto.Components.update_component/2","doc":"iex> update_component(component, %{field: new_value})\n    {:ok, %Component{}}\n\n    iex> update_component(component, %{field: bad_value})\n    {:error, %Ecto.Changeset{}}","ref":"ECSx.Persistence.Ecto.Components.html#update_component/2-examples"},{"type":"extras","title":"EcsxPersistenceEcto","doc":"# EcsxPersistenceEcto\n\n[![Hex Version](https://img.shields.io/hexpm/v/ecsx_persistence_ecto.svg)](https://hex.pm/packages/ecsx_persistence_ecto)\n[![License](https://img.shields.io/hexpm/l/ecsx_persistence_ecto.svg)](https://github.com/ecsx-framework/ecsx_persistence_ecto/blob/master/LICENSE)\n[![Documentation](https://img.shields.io/badge/documentation-gray)](https://hexdocs.pm/ecsx_persistence_ecto)\n\nEcto Persistence Adapter for ECSx","ref":"readme.html"},{"type":"extras","title":"Installation - EcsxPersistenceEcto","doc":"EcsxPersistenceEcto can be installed by adding `ecsx_persistence_ecto` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ecsx_persistence_ecto, \"~> 0.1\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Configure - EcsxPersistenceEcto","doc":"To configure ECSx in your app with Ecto as the persistence adapter, update `:ecsx` in your `config.exs` file:\n\n```elixir\n    config :ecsx,\n      ...\n      persistence_adapter: ECSx.Persistence.Ecto\n```\n\nand specify your repo:\n\n```elixir\n    config :ecsx_persistence_ecto, repo: MyApp.Repo\n```","ref":"readme.html#configure"},{"type":"extras","title":"Add the database table - EcsxPersistenceEcto","doc":"Generate a migration script:\n\n```\nmix ecto.gen.migration ecto_persistence\n```\n\nand update the change function in the migration:\n\n```elixir\n  def change do\n    create table \"ecsx_components\" do\n      add :module, :string\n      add :data, :string\n\n      timestamps()\n    end\n  end\n```\n\nFinally, run the migration script:\n\n```\nmix ecto.migrate\n```","ref":"readme.html#add-the-database-table"}],"content_type":"text/markdown"}